Loading...
Searching...
No Matches
libcamera::ipa::Pwl::Interval Class Reference

Describe an interval in one-dimensional real space. More...

## Public Member Functions

| Interval (double _start, double _end)
| Construct an interval.
bool | contains (double value)
| Check if a given value falls within the interval.
double | clamp (double value)
| Clamp a value such that it is within the interval.
double | length () const
| Compute the length of the interval.

## Public Attributes

double | start
| Start of the interval.
double | end
| End of the interval.

## Detailed Description

Describe an interval in one-dimensional real space.

## Constructor & Destructor Documentation

## Interval()

libcamera::ipa::Pwl::Interval::Interval | ( | double | _start,
|  | double | _end )

inline

Construct an interval.

Parameters

  [in] | _start | Start of the interval
  [in] | _end | End of the interval

## Member Function Documentation

## clamp()

double libcamera::ipa::Pwl::Interval::clamp | ( | double | value | ) |

inline

Clamp a value such that it is within the interval.

Parameters

  [in] | value | Value to clamp

Returns
  The clamped value

## contains()

bool libcamera::ipa::Pwl::Interval::contains | ( | double | value | ) |

inline

Check if a given value falls within the interval.

Parameters

  [in] | value | Value to check

Returns
  True if the value falls within the interval, including its bounds, or false otherwise

## length()

double libcamera::ipa::Pwl::Interval::length | ( |  | ) | const

inline

Compute the length of the interval.

Returns
  The length of the interval

The documentation for this class was generated from the following files:

- src/ipa/libipa/pwl.h
- src/ipa/libipa/pwl.cpp